# List External Lineage Relationships

Launch stage: Public Preview

`GET /api/2.0/lineage-tracking/external-lineage`

Lists external lineage relationships of a <Databricks> object or external metadata given a supplied direction.

API scopes: unity-catalog

## Query parameters

- `object_info` (object, optional)
  The object to query external lineage relationships for.
   Since this field is a query parameter, please flatten the nested fields. For example, if the object is a table, the query parameter should look like:
   `object_info.table.name=main.sales.customers`
  - `table` (object, required)
    - `name` (string, optional)
  - `path` (object, required)
    - `url` (string, optional)
  - `model_version` (object, required)
    - `name` (string, optional)
    - `version` (string, optional)
  - `external_metadata` (object, required)
    - `name` (string, optional)
- `lineage_direction` (string, optional)
  The lineage direction to filter on.
  Possible values: `LINEAGE_DIRECTION_UNSPECIFIED`, `UPSTREAM`, `DOWNSTREAM`
- `page_size` (int32, optional)
  Specifies the maximum number of external lineage relationships to return in a single response.
   The value must be less than or equal to 1000.
- `page_token` (string, optional)
  Opaque pagination token to go to next page based on previous query.

## Returns

- `external_lineage_relationships` (array of object, optional)
  - `table_info` (object, optional)
    Information about the table involved in the lineage relationship.
    - `name` (string, optional)
      Name of Table.
    - `catalog_name` (string, optional)
      Name of Catalog.
    - `schema_name` (string, optional)
      Name of Schema.
    - `event_time` (string, optional)
      Timestamp of the lineage event.
  - `file_info` (object, optional)
    Information about the file involved in the lineage relationship.
    - `path` (string, optional)
      URL of the path.
    - `securable_name` (string, optional)
      The full name of the securable on the path.
    - `storage_location` (string, optional)
      The storage location associated with securable on the path.
    - `securable_type` (string, optional)
      The securable type of the securable on the path.
    - `event_time` (string, optional)
      Timestamp of the lineage event.
  - `model_info` (object, optional)
    Information about the model version involved in the lineage relationship.
    - `model_name` (string, optional)
      Name of the model.
    - `version` (int64, optional)
      Version number of the model.
    - `event_time` (string, optional)
      Timestamp of the lineage event.
  - `external_metadata_info` (object, optional)
    Information about external metadata involved in the lineage relationship.
    - `name` (string, optional)
      Name of the external metadata object.
    - `system_type` (string, optional)
      Type of external system.
      Possible values: `SYSTEM_TYPE_UNSPECIFIED`, `OTHER`, `TABLEAU`, `POWER_BI`, `LOOKER`, `KAFKA`, `SAP`, `ORACLE`, `SALESFORCE`, `WORKDAY`, `MYSQL`, `POSTGRESQL`, `MICROSOFT_SQL_SERVER`, `SERVICENOW`, `AMAZON_REDSHIFT`, `AZURE_SYNAPSE`, `SNOWFLAKE`, `GOOGLE_BIGQUERY`, `MICROSOFT_FABRIC`, `MONGODB`, `TERADATA`, `CONFLUENT`, `DATABRICKS`, `STREAM_NATIVE`
    - `entity_type` (string, optional)
      Type of entity represented by the external metadata object.
    - `event_time` (string, optional)
      Timestamp of the lineage event.
  - `external_lineage_info` (object, optional)
    Information about the edge metadata of the external lineage relationship.
    - `id` (string, optional)
      Unique identifier of the external lineage relationship.
      Example: `12345678-abcd-4ef5-9012-3456789abcdf`
    - `source` (object, optional)
      Source object of the external lineage relationship.
      - `table` (object, required)
      - `path` (object, required)
      - `model_version` (object, required)
      - `external_metadata` (object, required)
    - `target` (object, optional)
      Target object of the external lineage relationship.
      - `table` (object, required)
      - `path` (object, required)
      - `model_version` (object, required)
      - `external_metadata` (object, required)
    - `columns` (array of object, optional)
      List of column relationships between source and target objects.
      - `source` (string, optional)
      - `target` (string, optional)
    - `properties` (object, optional)
      Key-value properties associated with the external lineage relationship.
- `next_page_token` (string, optional)

## Response

```json
{
  "external_lineage_relationships": [
    {
      "external_lineage_info": {
        "columns": [
          {
            "source": "customer_id",
            "target": "id"
          }
        ],
        "properties": {
          "refresh_enabled": "true",
          "refresh_frequency": "daily"
        }
      },
      "table_info": {
        "catalog_name": "main",
        "event_time": "2025-05-14T15:22:33.102Z",
        "name": "customers",
        "schema_name": "sales"
      }
    },
    {
      "external_lineage_info": {
        "columns": [
          {
            "source": "contact_id",
            "target": "id"
          }
        ]
      },
      "external_metadata_info": {
        "entity_type": "CRM",
        "event_time": "2025-05-13T15:22:33.102Z",
        "name": "customer_crm",
        "system_type": "SALESFORCE"
      }
    }
  ],
  "next_page_token": "eyJfX3R2IjoiMCIsImV4dGVybmFsTWV0YWRhdGEiOiJleHRlcm5hbC1tZXRhZGF0YS0zIn0"
}
```

